Wyn Enterprise: Installing on openSUSE

You can install Wyn Enterprise on openSUSE using zypper command.

  1. Install ASP .NET Core 3.1 Runtime library. The minimum supported version is 3.1.6.

      sudo zypper install libicu
      sudo rpm --import https://packages.microsoft.com/keys/microsoft.asc
      wget https://packages.microsoft.com/config/opensuse/15/prod.repo
      sudo mv prod.repo /etc/zypp/repos.d/microsoft-prod.repo
      sudo zypper install aspnetcore-runtime-3.1
    
  2. (this step is optional) Install any supported database server such as PostgreSQL, SqlServer, MySQL, Oracle, and Azure SQL.
    If you do not want to install the database server by yourself, Wyn Enterprise will automatically install PostgreSQL server during installation.

  3. Configure Yum repository - run the following command.

      sudo bash -c 'echo "[wynrepo]
      name=Wyn Enterprise
      baseurl=https://gecfartifacts.blob.core.windows.net/repos/yumrepo/wyn/4.1/en/
      enabled=1
      gpgcheck=0" > /etc/yum.repos.d/wyn4.repo'
    
  4. Install Wyn Enterprise - run the following command.

     sudo zypper install wyn-enterprise
    
  5. Configure Wyn Enterprise service - run the following command.

     sudo bash /opt/Wyn/Monitor/configure.sh
    

More Commands

  • To update the version.

    sudo zypper update wyn-enterprise
    
  • To uninstall.

    sudo zypper remove wyn-enterprise
    
  • To install a specific version.

    sudo zypper install wyn-enterprise={version}
    
  • To refresh repositories.

    sudo zypper refresh